FreeBSD : diffoscope -- arbitrary file write (077bbadf-f2f4-11e6-92a7-902b34361349)

High Nessus Plugin ID 97197


The remote FreeBSD host is missing one or more security-related updates.


Ximin Luo reports :

[v67] introduced a security hole where diffoscope may write to arbitrary locations on disk depending on the contents of an untrusted archive.


Update the affected packages.

See Also

Plugin Details

Severity: High

ID: 97197

File Name: freebsd_pkg_077bbadff2f411e692a7902b34361349.nasl

Version: $Revision: 3.2 $

Type: local

Published: 2017/02/16

Modified: 2017/02/21

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:py34-diffoscope, p-cpe:/a:freebsd:freebsd:py35-diffoscope, p-cpe:/a:freebsd:freebsd:py36-diffoscope, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2017/02/14

Vulnerability Publication Date: 2017/02/09

Reference Information

CVE: CVE-2017-0359